# Plan
Here's a checklist of my immediate plans for the future. If you have an idea for a feature, feel free to make an issue.

## v1.1.0
* [x] Add *special areas*, static rectangles of arbitrary colour, position and size to the world. The server would choose where they are and they exist to hint to the user relevant locations used by server-side mods (like the existence of "portals" for teleportation of players).
	* [x] Render these special areas.
	* [x] Extend the protocol to support the server sending them.
		* [x] Change SERP Play request version for the development build.
	* [x] Add support for configuring these rectangles in the server config.
* [ ] ~Fix segfault when panicking on the client.~
	* [x] Update `egui_glium` in an attempt to fix the bug.
	* [ ] ~Use `EventLoop::run_app` instead of the deprecated `EventLoop::run` in an attempt to fix it.~
* [ ] Get a simple portal working using custom server-side configuration.
* [ ] Further server-side configuration on the intensity of effects and how long they last. Can create a NewEffect world event for this to allow the server to choose when players get effects.

## v1.2.0
* [ ] Refactor module structure.
* [ ] Allow the player to choose their colour.
* [ ] Allow servers to specify some goal in the game and have it possible for players to win a game.
